Get User Account
Method: GET
Endpoint: /api/v2/users/account
Authentication: Supports Authorization: Bearer <YOUR_API_KEY>, api-key: <YOUR_API_KEY>, and ?token=<YOUR_API_KEY>. Prefer Bearer token.
Try it
Section titled “Try it”GET
/api/v2/users/accountGet user accountAuthenticationRequired
Stored only in this browser tab. Sent only to https://openapi.coreclaw.com.
Request BodyNot applicable
No JSON request body is defined for this operation.
When to use this endpoint
Section titled “When to use this endpoint”Use this endpoint to verify the token and read account balance.
Request Example
Section titled “Request Example”curl -X GET "https://openapi.coreclaw.com/api/v2/users/account" \ -H "Authorization: Bearer YOUR_API_KEY"Response Example
Section titled “Response Example”{ "code": 0, "data": { "balance": "2.7129", "balance_expiration_at": 1812418930 }, "message": "success", "request_id": "req-123"}- API v2 supports Bearer token, the
api-keyheader, and query token. Prefer Bearer token.
HTTP Responses
Section titled “HTTP Responses”| HTTP Status | Application Code | Meaning |
|---|---|---|
200 | 0 | OK |
400 | 11000 | Bad Request |
401 | 12001 | Unauthorized |
404 | 11004 | Not Found |
429 | 13000 | Too Many Requests |
500 | 10000 | Internal Server Error |